%define modulename SPARQLWrapper

Name:		python-sparqlwrapper
Summary:	SPARQL Endpoint interface to Python
Version:	1.8.2
Release:	%mkrel 3
Group:		Development/Python
License:	MIT
URL:		https://pypi.python.org/pypi/%{modulename}

Source0:	https://pypi.io/packages/source/S/%{modulename}/%{modulename}-%{version}.tar.gz

BuildArch:	noarch
BuildRequires:	pkgconfig(python3)
BuildRequires:	python3-setuptools


%description
A python based wrapper around a SPARQL service.
It helps in creating the query URI and, possibly,
convert the result into a more manageable format.

%package -n python3-sparqlwrapper
Summary:	SPARQL Endpoint interface to Python 3
Group:		Development/Python
%{?python_provide:%python_provide python3-sparqlwrapper}

%description -n python3-sparqlwrapper
A python 3 based wrapper around a SPARQL service.
It helps in creating the query URI and, possibly,
convert the result into a more manageable format.


%prep
%setup -q -n %{modulename}-%{version}
rm -rf %{modulename}.egg-info

%build
%py3_build


%install
%py3_install


%files -n python3-sparqlwrapper
%doc README.md LICENSE.txt AUTHORS.md
%{python3_sitelib}/%{modulename}-*.egg-info
%{python3_sitelib}/%{modulename}


%changelog
* Sun Feb 16 2020 umeabot <umeabot> 1.8.2-3.mga8
+ Revision: 1534129
- Mageia 8 Mass Rebuild

* Fri Sep 27 2019 daviddavid <daviddavid> 1.8.2-2.mga8
+ Revision: 1447463
- rebuild for python3.8
- drop python2 support

* Thu Jan 10 2019 shlomif <shlomif> 1.8.2-1.mga7
+ Revision: 1354403
- New version

* Thu Sep 20 2018 umeabot <umeabot> 1.5.2-11.mga7
+ Revision: 1290144
- Mageia 7 Mass Rebuild

* Sat Aug 05 2017 pterjan <pterjan> 1.5.2-10.mga7
+ Revision: 1135646
- Rebuild for python 3.6

* Sat Feb 20 2016 umeabot <umeabot> 1.5.2-9.mga6
+ Revision: 971130
- Mageia 6 Mass Rebuild

* Sat Oct 10 2015 tv <tv> 1.5.2-8.mga6
+ Revision: 889300
- rebuild for python 3.5

* Wed Oct 15 2014 umeabot <umeabot> 1.5.2-7.mga5
+ Revision: 745495
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1.5.2-6.mga5
+ Revision: 729783
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1.5.2-5.mga5
+ Revision: 688344
- Mageia 5 Mass Rebuild

* Sat May 31 2014 pterjan <pterjan> 1.5.2-4.mga5
+ Revision: 629023
- Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 1.5.2-3.mga4
+ Revision: 544240
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 1.5.2-2.mga4
+ Revision: 499412
- Rebuild to add different pythonegg provides for python 2 and 3

* Sat Aug 24 2013 philippem <philippem> 1.5.2-1.mga4
+ Revision: 470872
- imported package python-sparqlwrapper

